Subject: bug#61386: [PATCH] cp,mv,install: Disable sparse copy on macOS

From: Pádraig Brady <[email-masked]>
Date: Fri, 10 Feb 2023 09:18:45 +0000

On 10/02/2023 03:57, Paul Eggert wrote:
> On 2/9/23 01:20, George Valkov wrote:
>> -#ifdef SEEK_HOLE
>> +#if defined(SEEK_HOLE) && !defined(__APPLE__)
> 
> Instead of always disabling the SEEK_HOLE optimization, how about doing
> it only on APFS files? Something like the attached, perhaps (this is
> against Savannah master).
> 
> If APFS is pretty much universal now on Apple platforms, this patch is
> overkill and we should use your much-simpler patch.

Thanks for doing that Paul.
I think the simpler patch is best though
since APFS is the default macOS file system since 2017,
and upon upgrade earlier file systems are upgraded to that.

Also SEEK_DATA doesn't seem to be a well supported feature
on macOS anyway as there was also this issue:
https://bugs.gnu.org/51857

I'll apply the simple patch later I think.

cheers,
Pádraig